All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
execute_util.hpp File Reference

Provides various utilities for implementing the execution of statements. More...

`#include <assert.h>`
`#include "viennacl/forwards.h"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/scheduler/forwards.h"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::scheduler
| Contains the scheduling functionality which allows for dynamic kernel generation as well as the fusion of multiple statements into a single kernel.
| viennacl::scheduler::detail
| Implementation details for the scheduler.

## Functions

lhs_rhs_element const & | viennacl::scheduler::detail::extract_representative_vector (statement const &s, lhs_rhs_element const &element)
float | viennacl::scheduler::detail::convert_to_float (float f)
float | viennacl::scheduler::detail::convert_to_float (double d)
float | viennacl::scheduler::detail::convert_to_float (lhs_rhs_element const &el)
double | viennacl::scheduler::detail::convert_to_double (float d)
double | viennacl::scheduler::detail::convert_to_double (double d)
double | viennacl::scheduler::detail::convert_to_double (lhs_rhs_element const &el)
viennacl::context | viennacl::scheduler::detail::extract_context (statement_node const &root_node)
| Helper routine for extracting the context in which a statement is executed. More...
void | viennacl::scheduler::detail::new_element (lhs_rhs_element &new_elem, lhs_rhs_element const &old_element, viennacl::context const &ctx)
void | viennacl::scheduler::detail::delete_element (lhs_rhs_element &elem)

## Detailed Description

Provides various utilities for implementing the execution of statements.

Definition in file execute_util.hpp.